> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a gifting checkout

> Creates a paid checkout for gifting a product to live chat

<Warning>
  This endpoint is in beta and subject to change.
</Warning>

<Note>
  **OAuth scope:** `giveaway_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml POST /open-api/v1.0/gifting/checkout
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/gifting/checkout:
    post:
      tags:
        - Gifting
      summary: Create a gifting checkout
      description: Creates a paid checkout for gifting a product to live chat
      operationId: create-gifting-checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/com.fourthwall.app.openapi.endpoint.CreateGiftingCheckoutV1Request
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GiftingCheckoutV1'
      security:
        - oauth:
            - giveaway_write
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/gifting/create-gifting-checkout
components:
  schemas:
    com.fourthwall.app.openapi.endpoint.CreateGiftingCheckoutV1Request:
      type: object
      properties:
        offerId:
          type: string
          description: The product offer to gift to live chat.
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        quantity:
          type: integer
          format: int32
          description: How many gifts to purchase.
          example: 1
          maximum: 10000
          minimum: 1
        currency:
          type: string
          description: Display currency for the checkout. Defaults to the shop's currency.
          enum:
            - USD
            - EUR
            - CAD
            - GBP
            - AUD
            - NZD
            - SEK
            - NOK
            - DKK
            - PLN
            - INR
            - JPY
            - MYR
            - SGD
            - MXN
            - BRL
            - CHF
          example: USD
      required:
        - offerId
        - quantity
      title: Create Gifting Checkout V1Request
    GiftingCheckoutV1:
      type: object
      properties:
        checkoutId:
          type: string
          description: Id of the created checkout.
          example: ch_BV44UYrXQA2T_Xcf1288tw
        checkoutUrl:
          type: string
          description: Absolute, directable checkout URL on the shop's domain.
          example: https://shop.fourthwall.com/checkout/ch_BV44UYrXQA2T_Xcf1288tw
      required:
        - checkoutId
        - checkoutUrl
      title: Gifting Checkout
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.